# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Mojo/SQLite.pm) perl(Mojolicious.pm) perl(Mojolicious/Plugin/OpenAPI.pm) perl(Test/Perl/Critic.pm)
# END SourceDeps(oneline)
%define module_name Mojolicious-Command-Author-generate-resources
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.22
Release: alt1
Summary: Generate MVC & OpenAPI RESTful API files from database tables
Group: Development/Perl
License: see LICENSE
URL: https://github.com/kberov/Mojolicious-Command-generate-resources

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BEROV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
An usable release...

the Mojolicious::Command::generate::resources manpage generates directory structure for
a fully functional MVC
set of files,
routes and RESTful API specification in
OpenAPI format based on
existing tables in your application's database. 

The purpose of this tool is to promote
RAD by generating
the boilerplate code for model (M), templates (V) and controller (C) and help
programmers to quickly create well structured, fully functional applications.
It assumes that you already have tables created in a database and you just want
to generate
CRUD actions
for them.

In the generated actions you will find eventually working code for reading,
creating, updating and deleting records from the tables you specified on the
command-line. The generated code is just boilerplate to give you a jump start,
so you can concentrate on writing your business-specific code. It is assumed
that you will modify the generated code to suit your specific needs. All the
generated code is produced from templates. You can copy the folder with the
templates, push it to `@{$app->renderer->paths}' and modify to your
taste. Please look into the `t/blog' folder of this distribution for examples.

The command expects to find and will use one of the commonly used helpers
`pg', `mysql' `sqlite'. The supported wrappers are respectively the Mojo::Pg manpage,
the Mojo::mysql manpage and the Mojo::SQLite manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes README
%perl_vendor_privlib/M*

%changelog
* Sat Mar 16 2019 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- initial import by package builder

